CRAN Package Check Results for Package HLMdiag

Last updated on 2022-01-24 10:52:00 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.5.0 100.76 275.52 376.28 OK
r-devel-linux-x86_64-debian-gcc 0.5.0 73.46 203.13 276.59 OK
r-devel-linux-x86_64-fedora-clang 0.5.0 483.96 OK
r-devel-linux-x86_64-fedora-gcc 0.5.0 449.04 OK
r-devel-windows-x86_64-new-UL 0.5.0 135.00 314.00 449.00 OK
r-devel-windows-x86_64-new-TK 0.5.0 ERROR
r-patched-linux-x86_64 0.5.0 85.41 266.78 352.19 OK
r-release-linux-x86_64 0.5.0 88.49 265.16 353.65 OK
r-release-macos-arm64 0.5.0 OK
r-release-macos-x86_64 0.5.0 OK
r-release-windows-ix86+x86_64 0.5.0 261.00 501.00 762.00 OK
r-oldrel-macos-x86_64 0.5.0 OK
r-oldrel-windows-ix86+x86_64 0.5.0 265.00 512.00 777.00 OK

Check Details

Version: 0.5.0
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: 'mlmRev', 'lme4', 'car'
Flavor: r-devel-windows-x86_64-new-TK

Version: 0.5.0
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: 'lme4'
Flavor: r-devel-windows-x86_64-new-TK

Version: 0.5.0
Check: examples
Result: ERROR
    Running examples in 'HLMdiag-Ex.R' failed
    The error most likely occurred in:
    
    > ### Name: adjust_lmList.formula
    > ### Title: Fitting Common Models via 'lm'
    > ### Aliases: adjust_lmList.formula adjust_lmList
    > ### adjust_lmList,formula,data.frame-method
    > ### Keywords: models regression
    >
    > ### ** Examples
    >
    >
    > data(Exam, package = 'mlmRev')
    Error in find.package(package, lib.loc, verbose = verbose) :
     there is no package called 'mlmRev'
    Calls: data -> find.package
    Execution halted
Flavor: r-devel-windows-x86_64-new-TK

Version: 0.5.0
Check: tests
Result: ERROR
     Running 'testthat.R'
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > library(testthat)
     > library(HLMdiag)
    
     Attaching package: 'HLMdiag'
    
     The following object is masked from 'package:stats':
    
     covratio
    
     > library(lme4)
     Error in library(lme4) : there is no package called 'lme4'
     Execution halted
Flavor: r-devel-windows-x86_64-new-TK